CMCICLIENTFT.SETPROPERTY(3)

NAME
CMCIClientFT.setProperty() - Set a named property value of an instance

SYNOPSIS
#include <cmci.h>

CMPIStatus
CMCIClientFT.setProperty(CMCIClient*cl,
CMPIObjectPath*op,
constchar*name,
CMPIValue*value,
CMPITypetype);

DESCRIPTION
Set the named property value of an instance identified by reference op.

Arguments are the client object pointer cl, an ObjectPath object pointer op with the namespace and classname to identify the instance, a pointer to a string with the property name to set in name, a pointer to the CMPIValue with the value to set in value, and rc which returns the operation status (suppressed when NULL).

RETURN VALUE
When successful the CMCIClientFT.setProperty() function returns a CMPIStatus object with a successful operation status code set. When unsuccessful it returns the CMPIStatus object with the error code and corresponding error string set.

ERRORS

EXAMPLES

CONFORMING TO

SEE ALSO
Common Manageability Programming Interface (CMPI) - OpenGroup,
CMCIClient(3), CMPIStatus(3), CMPIObjectPath(3), CMPIValue(3), CMPIType(3)